Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.operations
Interface IOperationValidator

public interface IOperationValidator

This class contains various validation methods to be invoked before or during executing update manager operations.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`IStatus` | `validateCurrentState()` Check the current state.
`IStatus` | `validatePendingChanges(IInstallFeatureOperation[] jobs)` Called by the UI before doing a batched processing of several pending changes.
`IStatus` | `validatePendingConfig(IFeature feature)` Called before performing operation.
`IStatus` | `validatePendingInstall(IFeature oldFeature, IFeature newFeature)` Called before performing install.
`IStatus` | `validatePendingReplaceVersion(IFeature feature, IFeature anotherFeature)` Called before performing operation.
`IStatus` | `validatePendingRevert(IInstallConfiguration config)` Called before doing a revert/ restore operation
`IStatus` | `validatePendingUnconfig(IFeature feature)` Called before performing operation.
`IStatus` | `validatePlatformConfigValid()` Checks if the platform configuration has been modified outside this program.

Method Detail

### validatePendingInstall

    public IStatus validatePendingInstall(IFeature oldFeature,
                                          IFeature newFeature)

  Called before performing install.

  Returns:
    the error status, or null if no errors

### validatePendingConfig

    public IStatus validatePendingConfig(IFeature feature)

  Called before performing operation.

  Returns:
    the error status, or null if no errors

### validatePendingUnconfig

    public IStatus validatePendingUnconfig(IFeature feature)

  Called before performing operation.

  Returns:
    the error status, or null if no errors

### validatePendingReplaceVersion

    public IStatus validatePendingReplaceVersion(IFeature feature,
                                                 IFeature anotherFeature)

  Called before performing operation.

  Returns:
    the error status, or null if no errors

### validatePendingRevert

    public IStatus validatePendingRevert(IInstallConfiguration config)

  Called before doing a revert/ restore operation

  Returns:
    the error status, or null if no errors

### validatePendingChanges

    public IStatus validatePendingChanges(IInstallFeatureOperation[] jobs)

  Called by the UI before doing a batched processing of several pending changes.

  Returns:
    the error status, or null if no errors

### validateCurrentState

    public IStatus validateCurrentState()

  Check the current state.

  Returns:
    the error status, or null if no errors

### validatePlatformConfigValid

    public IStatus validatePlatformConfigValid()

  Checks if the platform configuration has been modified outside this program.

  Returns:
    the error status, or null if no errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.